Skip to content

Results are limited to the current section: Cloud services

Product news

Onboard user (community)

POST
/api/v1/auth/onboard-community
curl --request POST \
--url https://example.com/api/v1/auth/onboard-community \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "country": "example", "family_name": "Aspect", "given_name": "Alain", "organization": { "name": "example", "type": "example" }, "role": "example" }'

Completes the onboarding process for users accessing community services

Media typeapplication/json
object
country
required
string
family_name
required
string
Example
Aspect
given_name
required
string
Example
Alain
organization
required
object
name
string
type
string
role
string

On success

Media typeapplication/json
object
code
required
number format: int32
data
required
object
email
string
family_name
required
string
given_name
required
string
id
required
string
message
required
string
pagination
required
object
total
required
number format: int64
status
required
string
Example
{
"code": "200",
"data": {
"email": "max.planck@example.com",
"family_name": "Planck",
"given_name": "Max"
},
"message": "success",
"status": "OK"
}